CMSIS-DSP: RBF SVM

| CMSIS-DSP Version 1.10.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
RBF SVM
SVM Functions

## Functions

void | arm_svm_rbf_init_f16 (arm_svm_rbf_instance_f16 *S, uint32_t nbOfSupportVectors, uint32_t vectorDimension, float16_t intercept, const float16_t *dualCoefficients, const float16_t *supportVectors, const int32_t *classes, float16_t gamma)
| SVM radial basis function instance init function. More...
void | arm_svm_rbf_init_f32 (arm_svm_rbf_instance_f32 *S, uint32_t nbOfSupportVectors, uint32_t vectorDimension, float32_t intercept, const float32_t *dualCoefficients, const float32_t *supportVectors, const int32_t *classes, float32_t gamma)
| SVM radial basis function instance init function. More...
void | arm_svm_rbf_predict_f16 (const arm_svm_rbf_instance_f16 *S, const float16_t *in, int32_t *pResult)
| SVM rbf prediction. More...
void | arm_svm_rbf_predict_f32 (const arm_svm_rbf_instance_f32 *S, const float32_t *in, int32_t *pResult)
| SVM rbf prediction. More...

## Description

RBF SVM classifier

## Function Documentation

void arm_svm_rbf_init_f16 | ( | arm_svm_rbf_instance_f16 * | S,
|  | uint32_t | nbOfSupportVectors,
|  | uint32_t | vectorDimension,
|  | float16_t | intercept,
|  | const float16_t * | dualCoefficients,
|  | const float16_t * | supportVectors,
|  | const int32_t * | classes,
|  | float16_t | gamma
| ) |  |

Classes are integer used as output of the function (instead of having -1,1 as class values).

Parameters

  [in] | S | points to an instance of the polynomial SVM structure.
  [in] | nbOfSupportVectors | Number of support vectors
  [in] | vectorDimension | Dimension of vector space
  [in] | intercept | Intercept
  [in] | dualCoefficients | Array of dual coefficients
  [in] | supportVectors | Array of support vectors
  [in] | classes | Array of 2 classes ID
  [in] | gamma | gamma (scikit-learn terminology)

Returns
  none.

void arm_svm_rbf_init_f32 | ( | arm_svm_rbf_instance_f32 * | S,
|  | uint32_t | nbOfSupportVectors,
|  | uint32_t | vectorDimension,
|  | float32_t | intercept,
|  | const float32_t * | dualCoefficients,
|  | const float32_t * | supportVectors,
|  | const int32_t * | classes,
|  | float32_t | gamma
| ) |  |

Classes are integer used as output of the function (instead of having -1,1 as class values).

Parameters

  [in] | S | points to an instance of the polynomial SVM structure.
  [in] | nbOfSupportVectors | Number of support vectors
  [in] | vectorDimension | Dimension of vector space
  [in] | intercept | Intercept
  [in] | dualCoefficients | Array of dual coefficients
  [in] | supportVectors | Array of support vectors
  [in] | classes | Array of 2 classes ID
  [in] | gamma | gamma (scikit-learn terminology)

Returns
  none.

void arm_svm_rbf_predict_f16 | ( | const arm_svm_rbf_instance_f16 * | S,
|  | const float16_t * | in,
|  | int32_t * | pResult
| ) |  |

Parameters

  [in] | S | Pointer to an instance of the rbf SVM structure.
  [in] | in | Pointer to input vector
  [out] | pResult | decision value

Returns
  none.

void arm_svm_rbf_predict_f32 | ( | const arm_svm_rbf_instance_f32 * | S,
|  | const float32_t * | in,
|  | int32_t * | pResult
| ) |  |

Parameters

  [in] | S | Pointer to an instance of the rbf SVM structure.
  [in] | in | Pointer to input vector
  [out] | pResult | decision value

Returns
  none.